# Interface MsaPfvManagerInterface<T>

#### Type Parameters

- #### T extends any[]

#### Hierarchy

- MsaPfvManagerInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:29

#####
Index

### Properties

alignmentResponseContainer
id
pfvArgs

### Methods

buildMsaAlignmentFv

## Properties

### alignmentResponseContainer

alignmentResponseContainer: DataContainer<AlignmentResponse>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:31

### id

id: string

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:30

### pfvArgs

pfvArgs: T

- Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:32

## Methods

### buildMsaAlignmentFv

- buildMsaAlignmentFv(...args): Promise<RcsbFvModulePublicInterface>

- #### Parameters

  - ##### `Rest` ...args: [string, ...T[], RcsbFvAdditionalConfig & FvChangeConfigInterface]

  #### Returns Promise<RcsbFvModulePublicInterface>

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:33

Generated using TypeDoc